php4 Support / Switch

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

php4 Support / Switch

Postby mictp » 23. December 2008 20:32

Hallo,

einerseits mal Gratulation zu XAMPP.

Nun zum Anliegen: wie gesehen wird ab der aktuellen 1.7.0 Version nur mehr php5 unterstützt was grundsätzlich zu begrüßen ist (ich selber entwickle schon seit über 14 Monaten nur mehr für php5).

Das Problem aber, es gibt - leider - noch zuviele Anbieter (vermeide hier in diesem Zusammenhang die Begriffe Provider bzw. Hoster da diese dann nur mehr 'Billigschrümmler' sind wenn sie kein php5 anbieten) welche php4 laufen haben.
Noch mehr aber gibt es Scripte die - momentan - nur unter php4 'laufen'.

Als Entwickler aber muss ich - schon alleine des Supports wegen - auch auf php4 zurück greifen können, was biher ja recht komfortabel mit dem phpswitch funktionierte.

Ich gehe richtig wenn ich sage, dass eben dieser Switch ab 1.7.0 NICHT mehr vorhanden sein wird/ist?

Vielen Dank!
mictp
 
Posts: 11
Joined: 16. December 2005 07:13

Re: php4 Support / Switch

Postby Wiedmann » 23. December 2008 20:38

Ich gehe richtig wenn ich sage, dass eben dieser Switch ab 1.7.0 NICHT mehr vorhanden sein wird/ist?

Yup.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: php4 Support / Switch

Postby Xardas der Dunkle » 23. December 2008 23:01

Als Entwickler aber muss ich - schon alleine des Supports wegen - auch auf php4 zurück greifen können, was biher ja recht komfortabel mit dem phpswitch funktionierte.

Vielleicht nicht super schön, aber ich würde dir empfehlen PHP4 neben her als CGI laufen zu lassen, ist zwar nicht ganz so komfortabel und schnell wie die Modul-Version, hat aber den Vorteil das du z.B. für einzelne Verzeichnisse sagen kannst hier läuft noch PHP4. :wink:

Noch mehr aber gibt es Scripte die - momentan - nur unter php4 'laufen'.

Ändert sich Gottseidank, ... viel mehr finde ich es Merkwürdig das z.B. das phpbb3 noch in php4 geschrieben wurde^^.
User avatar
Xardas der Dunkle
 
Posts: 482
Joined: 09. March 2008 19:40
Location: /var/www

Re: php4 Support / Switch

Postby Gast85 » 19. January 2009 18:34

mictp wrote:Ich gehe richtig wenn ich sage, dass eben dieser Switch ab 1.7.0 NICHT mehr vorhanden sein wird/ist?



Hm, das kann oder vielmehr muss? ich leider bestätigen.


Ich habe die Version XAMPP 1.7.0, und, php-switch.bat gibt es tatsächlich NICHT (mehr?)!


Es gibt nur eine php-switch.PHP im Ordner xampp/install/ ..


Nun erfahre ich jedoch unter http://localhost/xampp/
unter der Kategorie: "PHP Umschalter", wie ich von php5 auf php4 (php4 und php lassen sich dann ähnlich bearbeiten bzw. anschauen ..?!) umschalte.


Nur, leider - wie schon gesagt - gibt es KEINE php-switch.bat mehr ..


Was nun?

Was tun?


Vielen Dank für Eure Hilfe!



VLG,
Kathrin
Gast85
 
Posts: 8
Joined: 19. January 2009 11:48

Re: php4 Support / Switch

Postby Wiedmann » 19. January 2009 18:37

Was tun?

Einen alten XAMPP nehmen, wenn du unbedingt PHP4 brauchst.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: php4 Support / Switch

Postby Gast85 » 19. January 2009 18:44

D.h. XAMPP ab 1.7.0 und neuer unterstützt nur noch php5?


Ab welcher Version abwärts kann ich noch "switchen"?
Gast85
 
Posts: 8
Joined: 19. January 2009 11:48

Re: php4 Support / Switch

Postby Wiedmann » 19. January 2009 18:47

D.h. XAMPP ab 1.7.0 und neuer unterstützt nur noch php5?

Yup. Steht ja auch so auf der Homepage.

Ab welcher Version abwärts kann ich noch "switchen"?

Na alles was älter (kleiner) als 1.7.0 ist.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: php4 Support / Switch

Postby Gast85 » 19. January 2009 18:55

Der Hinweis auf der Homepage:
Hab's soeben gesehen und gelesen.

Sorry!


Gut, dann probier' ich das jetzt mal mit einer "jüngeren" Version .. ;-).
Gast85
 
Posts: 8
Joined: 19. January 2009 11:48

Re: php4 Support / Switch

Postby Gast85 » 19. January 2009 19:00

Ach so.
Da fällt mir noch was ein bzw. auf:


Dies betrifft die XAMPP Version 1.7.0 (welche ich ja schon mal auf meinem PC erfolgreich! installiert hatte)!


Unter http://localhost/xampp/
gibt es immer noch den Link "PHP Umschalter".

Mit Informationen zum Thema "PHP 5/4 Switch", mit dem in Version 1.7.0 ja NICHT mehr vorhandenen php-switch.BAT ..


Vielleicht wäre es gut, diesen Link bzw. die Infos .. zu aktualisieren ..?


In der Titelleiste von http://localhost/xampp/ steht "XAMPP Version 1.7.0",
doch, in der Linkleiste gibt es noch den "PHP Umschalter".



Irre ich mich, oder ist das dann - wenn ich jetzt richtig informiert bin .. - nicht mehr ganz korrekt ...?! ;-)


Als Hinweis?!


;-)
Gast85
 
Posts: 8
Joined: 19. January 2009 11:48

Re: php4 Support / Switch

Postby mictp » 20. January 2009 13:08

Da ich - leider - als Entwickler nach wie vor unter bzw. für php4 sowohl Support als Entwicklung leisten muss, werde ich mir das hier ansehen: http://www.wampserver.com/.
Der Vorteil dort (gegenüber Xampp) ist, dass ich dort auch wesentlich ältere Versionen (apache, php, mySQL) verwenden kann was manchmal nicht so ganz unhilfreich ist.

So gesehen, werde ich mich daher leider nach über 2 Jahren von/m Xampp verabschieden müssen - schade.
mictp
 
Posts: 11
Joined: 16. December 2005 07:13

Re: php4 Support / Switch

Postby glitzi85 » 20. January 2009 13:14

Was hält dich davon ab eine alte XAMPP-Version von SF runterzuladen?

http://sourceforge.net/project/showfile ... e_id=89552

mfg glitzi
User avatar
glitzi85
 
Posts: 1920
Joined: 05. March 2004 23:26
Location: Dahoim

Re: php4 Support / Switch

Postby mictp » 20. January 2009 14:43

glitzi85 wrote:Was hält dich davon ab eine alte XAMPP-Version von SF runterzuladen?

http://sourceforge.net/project/showfile ... e_id=89552

mfg glitzi

Eigentlich nichts ... ausser wieviele Xamppversionen soll ich installieren?

Würde ich verschiedene Xamppversionen installiert haben, müsste ich dann auch die jeweiligen Webanwendungen mehrmals darauf installieren.
Ein switchen ist dann nicht mehr möglich.
Mir geht es aber vielmehr darum ein und dieselbe Webanwendung unter mind. 2 verschiedenen php-Majorreleases (letzte 4.x und neueste, stable 5.x) ausführen zu können OHNE dass ich irgendwas 'herumkopieren' muss.
Doch alleine mit dem dann verbundenen Kopieren ist es nicht getan, denn ich benötige auch die jeweiligen Datenbankeinträge der Anwendung.

Oder habe ich irgendwo etwas verpasst?

Xampp war mir ein treuer und 'liebgewordener' Weggefährte, einfach, schnell und unkompliziert.
Schnell und unkompliziert muss aber auch das weitere Arbeiten vonstatten gehen: Support = Zeit = Geld.
mictp
 
Posts: 11
Joined: 16. December 2005 07:13


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 9 guests